<?php
/**
* ------------------------------------------------------------------------
* BlueMind Stats Portal, aka bm-stats
* ------------------------------------------------------------------------
* @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
* @author  : Pascal SALAUN 
* @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
* ------------------------------------------------------------------------
**/

function getJSONDataFor($domain,$user,$case) {

    $thisArray = array() ;   
    $thisUseFile = "/var/lib/bm-stats/$domain/user/$user" ;
      
    if(file_exists($thisUseFile)) 
        $file = file("/var/lib/bm-stats/$domain/user/$user");
    if(!empty($file)) {
        foreach ($file as $line) {
	    $val = explode(",",$line) ;
	    $date        = $val['0']*1000;
	    if($case == 'nbSent')
		$thisValue = $val['1'];
	    if($case == 'volSent')
		$thisValue =  round($val['2']/1000000);
	    if($case == 'nbReceived')
		$thisValue =  $val['3'];
	    if($case == 'volReceived')
		$thisValue =  round($val['4']/1000000);
	    if(empty($thisValue))
		$thisValue = 0 ;

	    $thisArray[] = array($date,$thisValue);
	}
    };

    $output = json_encode($thisArray, JSON_NUMERIC_CHECK);   

    echo $output ;

}



getJSONDataFor($_GET['domain'],$_GET['user'],$_GET['case']);

?>
